
//  StatesStringBuilder.java (c) 2004 Kari Laitinen

//  http://www.naturalprogramming.com

//  2003-09-26  File created.
//  2004-10-09  Last modification.


class StatesStringBuilder
{
   public static void main( String[] not_in_use )
   {
      String  westmost_state  =  "Hawaii" ;
      String  prairie_state   =  "Illinois" ;

      StringBuilder states_in_usa  =
             new StringBuilder( westmost_state + "  " + prairie_state ) ;

      System.out.print( "\n   "  +  states_in_usa ) ;

      String  golden_state    =  "California" ;

      states_in_usa.insert( 6, golden_state ) ;
      states_in_usa.insert( 6, "  " ) ;

      System.out.print( "\n   "  +  states_in_usa ) ;

      String  eastmost_state  =  "Maine" ;

      states_in_usa.append( "  Virginia  " ) ;
      states_in_usa.append( eastmost_state ) ;

      System.out.print( "\n   "  +  states_in_usa ) ;

      int index_of_last_state  =
                     states_in_usa.toString().lastIndexOf( "  " ) ;

      states_in_usa.delete( index_of_last_state, states_in_usa.length());
      states_in_usa.append( "  Massachusetts" ) ;

      System.out.print( "\n   "  +  states_in_usa ) ;

      states_in_usa.replace( states_in_usa.toString().indexOf("Illinois"),
                             states_in_usa.toString().indexOf("Virginia"),
                             "Michigan  " ) ;

      System.out.print( "\n   "  +  states_in_usa  +  "\n" ) ;

   }
}

/* Multiline comment:

   This program works equally well if standard class StringBuffer is
   used in place of the StringBuilder class.

*/





